Subject: Re: [bug#45161] [PATCH 0/1] Update go?

From: Jack Hill <[email-masked]>
Date: Fri, 11 Dec 2020 01:15:14 -0500 (EST)

On Thu, 10 Dec 2020, Leo Famulari wrote:

> On Thu, Dec 10, 2020 at 06:10:24PM +0300, David Dashyan wrote:
>> Yesterday I found packages that won't compile with curent guix's
>> go-1.14. Apparently 1.15 is the "stable" thing today.
>
> The Go policy is to support 2 major releases. Since 1.15 is the current
> major release, that means that 1.14 is still supported upstream. So
> please keep 1.14 unless we don't need it anymore. For example, if no
> Guix packages require it. That means ensuring that all the existing Go
> packages build successfully... or that there is no new breakage :)

I've tested go 1.15 by trying to build the packages reported by `guix 
refresh -l go` on x86_64. There are some new build failures, but it 
doesn't look too bad. In fact, I've already fixed on of them, by updating 
go-github-com-kr-pretty in #45171 [0]. There were a number of packages 
whose tests failed because of changes [1] to `go vet`. The new kr-pretty 
release adjusts to the new vet behavior with a one line change [2] 
(kr-pretty had fortunately not fallen into the incorrect string() usage 
for which vet is now warning).

[0] https://issues.guix.gnu.org/45171
[1] https://golang.org/doc/go1.15#vet
[2] https://github.com/kr/pretty/compare/v0.2.0...v0.2.1

The other new build failures are:

go-etcd-io-bbolt
syncthing
restic
go-github-com-emicklei-go-restful
docker
go-github-com-magiconair-properties

I was unable to test at least

chezmoi
exercism
syncthing-gtk

because they depend on a package that failed to build.

fiano-fmap [3] and mongo-tools [4] continue to fail to build.

[3] https://issues.guix.gnu.org/45172
[4] https://issues.guix.gnu.org/39637

Best,
Jack